FileRootsVFS (jEdit API Documentation)
Date: 2018-04-10

org.gjt.sp.jedit.io

## Class FileRootsVFS

- java.lang.Object
- - org.gjt.sp.jedit.io.VFS
  - - org.gjt.sp.jedit.io.FileRootsVFS

-     public class FileRootsVFS
      extends VFS

  A VFS that lists local root filesystems.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gjt.sp.jedit.io.VFS

      `VFS.DirectoryEntryCompare`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROTOCOL`

    - ### Fields inherited from class org.gjt.sp.jedit.io.VFS

      `BROWSE_CAP, CASE_INSENSITIVE_CAP, DELETE_CAP, EA_MODIFIED, EA_SIZE, EA_STATUS, EA_TYPE, IOBUFSIZE, LOW_LATENCY_CAP, MKDIR_CAP, NON_AWT_SESSION_CAP, READ_CAP, RENAME_CAP, WRITE_CAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileRootsVFS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VFSFile` | `_getFile(java.lang.Object session, java.lang.String path, java.awt.Component comp)` Returns the specified directory entry.
    `VFSFile[]` | `_listFiles(java.lang.Object session, java.lang.String url, java.awt.Component comp)` Lists the specified directory.
    `java.lang.String` | `getParentOfPath(java.lang.String path)` Returns the parent of the specified path.

    - ### Methods inherited from class org.gjt.sp.jedit.io.VFS

      `_backup, _canonPath, _createInputStream, _createOutputStream, _delete, _endVFSSession, _finishTwoStageSave, _listDirectory, _listDirectory, _listDirectory, _mkdir, _rename, _saveComplete, constructPath, copy, copy, copy, copy, createVFSSession, createVFSSessionSafe, getCapabilities, getDefaultColorFor, getExtendedAttributes, getFileName, getFilePath, getFileSeparator, getName, getTwoStageSaveName, insert, isMarkersFileSupported, load, reloadDirectory, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROTOCOL

          public static final java.lang.String PROTOCOL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FileRootsVFS

          public FileRootsVFS()

  - ### Method Detail

    - #### getParentOfPath

          public java.lang.String getParentOfPath(java.lang.String path)

      Description copied from class: `VFS`
      Returns the parent of the specified path. This must be overridden to return a non-null value for browsing of this filesystem to work.
      Overrides:
        `getParentOfPath` in class `VFS`
      Parameters:
        `path` - The path

    - #### _listFiles

          public VFSFile[] _listFiles(java.lang.Object session,
                                      java.lang.String url,
                                      java.awt.Component comp)

      Description copied from class: `VFS`
      Lists the specified directory.
      Overrides:
        `_listFiles` in class `VFS`
      Parameters:
        `session` - The session
        `url` - The directory. Note that this must be a full URL, including the host name, path name, and so on. The username and password (if needed by the VFS) is obtained from the session instance.
        `comp` - The component that will parent error dialog boxes

    - #### _getFile

          public VFSFile _getFile(java.lang.Object session,
                                  java.lang.String path,
                                  java.awt.Component comp)

      Description copied from class: `VFS`
      Returns the specified directory entry.
      Overrides:
        `_getFile` in class `VFS`
      Parameters:
        `session` - The session get it with `VFS.createVFSSession(String, Component)`
        `path` - The path
        `comp` - The component that will parent error dialog boxes
      Returns:
        The specified directory entry, or null if it doesn't exist.